Bug 5406 - Лишние определения ресурсов
: Лишние определения ресурсов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/app-defaults)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-10-27 14:45 by
Modified: 2009-05-10 09:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-27 14:45:39
В /etc/X11/Xresources и /etc/X11/Xresources.$LOCALE находятся вредоносные
ресурсы:

*VT100*чтото, Aterm*чтото и Rxvt*чтото - все терминалы (xterm, aterm, rxvt)
понимают ресурсы вида *VT100*. Aterm* и Rxvt* - лишнее дублирование.

Vim*background:    black
Vim*foreground:    lightyellow
Vim*font:    fixed
GVim*font: -misc-fixed-medium-r-normal--15-*-*-*-*-*-koi8-r

Эти ресурсы не нужны. Для консольной версии vim они не работают, для GUI версии
цвета и фонт устанавливаются через родные конфиги vim'а. Тем более что
Smth*smth
- крайне жадная опция (Vim*background пытается установить цвет _ВСЕХ_
виджетов).
Плюс путаница Vim*/GVim*.
------- Comment #1 From 2004-10-27 14:50:36 -------
I'll have a look.
------- Comment #2 From 2004-10-27 15:50:41 -------
Слегка вру. aterm и rxvt проверяют ресурсы в таком порядке: $name.res,
Aterm/Rxvt.res и XTerm.res, где $name - аргумента опции -name. xterm в свою
очередь имеет отдельный виджет XTerm.VT100 для отображения собственно
терминального окна.
------- Comment #3 From 2006-03-27 19:46:52 -------
Дублирование оставил, vim убрал.